<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>spin</name>
  <program_name>spin</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox3_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>vbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox5</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkToggleButton</class>
	    <name>togglebutton1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_skin_toggle_button:bendable</handler>
	      <last_modification_time>Tue, 08 Feb 2000 02:14:10 GMT</last_modification_time>
	    </signal>
	    <label>Bender </label>
	    <active>True</active>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkOptionMenu</class>
	    <name>optionmenu1_blue</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>selection-done</name>
	      <handler>gdam_skin_option_menu_enumeration:mode</handler>
	      <last_modification_time>Sat, 01 Dec 2001 07:56:02 GMT</last_modification_time>
	    </signal>
	    <items>continuous
keep time
snap time
return to start
keep in beat
keep input constant
input constant valid
</items>
	    <initial_choice>1</initial_choice>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>spinbutton4</name>
	    <tooltip>seconds of backbuffer to preserve for stalls and rewinds</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>value_changed</name>
	      <handler>gdam_skin_adjustment:backbuffer</handler>
	      <last_modification_time>Wed, 31 Oct 2001 12:12:18 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:52:18 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>0</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>1</value>
	    <lower>1</lower>
	    <upper>120</upper>
	    <step>1</step>
	    <page>10</page>
	    <page_size>10</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox4</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkButton</class>
	    <name>button12</name>
	    <tooltip>left click and hold to stall, or right click to automatically stall and hold</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:0.25</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:52:49 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:0.25</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:52:49 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>1/2</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button16</name>
	    <tooltip>left click and hold to stall, or right click to automatically stall and hold</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:0.5</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:53:09 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:0.5</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:53:09 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>1</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button17</name>
	    <tooltip>left click and hold to stall, or right click to automatically stall and hold</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:1.0</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:39:46 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:1.0</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:39:46 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>2</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button18</name>
	    <tooltip>left click and hold to stall, or right click to automatically stall and hold</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:2.0</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:53:25 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:2.0</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:53:25 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>4</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button19</name>
	    <tooltip>left click and hold to stall, or right click to automatically stall and hold</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:4.0</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:53:39 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:4.0</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:53:39 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>8</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button20</name>
	    <tooltip>left click and hold to stall, or right click to automatically stall and hold</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:8.0</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:54:05 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>gdam-right-clicked</name>
	      <handler>gdam_skin_arg_double:stall_by_factor:8.0</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:54:05 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>16</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button21</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:stall_by_factor:0.25:8:Stall_By_Factor</handler>
	      <last_modification_time>Sat, 06 Apr 2002 14:55:51 GMT</last_modification_time>
	    </signal>
	    <label>m</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
